# Perform Find

Fetches data from the Order Management System (OMS) entities. By making a GET request to this endpoint, you can retrieve the required data based on specific search criteria.

## Request

### Endpoint

`https://<host>/api/performFind`

Example: `https://demo-oms.hotwax.io/api/performFind`

### Header

Content-Type: application/json

### Example Parameters

[https://demo-oms.hotwax.io/api/performFind?inputFields=\&entityName=\&fieldList=\&fieldList=\&viewSize=1](https://demo-oms.hotwax.io/api/performFind?inputFields=search_condition_value\&entityName=entity_name_value\&fieldList=field_name1\&fieldList=field_name2\&viewSize=1)

### Parameters

The following parameters can be sent in the request:

| Parameter Name    | Description                                                                                    | Required (Y/N) |
| ----------------- | ---------------------------------------------------------------------------------------------- | -------------- |
| `inputFields`     | Specifies search conditions for retrieving data from the OMS entities                          | Yes            |
| `fieldList`       | Defines fields or attributes of the entities to include in the response                        | No             |
| `entityName`      | The specific entity type within the OMS from which you want to fetch data                      | Yes            |
| `noConditionFind` | Fetches all data from the specified entity without any specific conditions applied             | No             |
| `viewSize`        | Determines the number of records or data items to be included in a single page of the response | No             |
| `viewIndex`       | The index to be included in the response                                                       | No             |
| `distinct`        | Returns only distinct (different) values.                                                      | No             |
| `orderBy`         | Sorts the result-set in ascending or descending order                                          | No             |
| `filterByDate`    | Filter records based on fromDate and thruDate                                                  | No             |
| `fromDateName`    | Filter by date field name if field name is different from default fromDate field               | No             |
| `thruDateName`    | Filter by date field name if field name is different from default thruDate field               | No             |

Note: If `noConditionFind` is 'Y' then 'inputFields' parameter is optional.

## Response

### Status Code

HTTP/1.1 200 OK

### Headers

Content-Type: application/json

### Body

The response body will include the following data:

| Parameter Name | Description                |
| -------------- | -------------------------- |
| `count`        | Results count              |
| `docs`         | The array of results found |

#### Example

```
{
  count: "1",
  docs: [
    {
      daysToCancelNonPay: 0,
      productStoreId: "STORE"
    }
  ]
}
```

To learn more about `performFind API`, watch this [video](https://www.youtube.com/watch?v=Rtikm1pCqMY)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/miscellaneous/perform-find.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
